Package de.geolykt.starloader.mod

# Class Extension.ExtensionDescription

java.lang.Object
de.geolykt.starloader.mod.Extension.ExtensionDescription

Enclosing class:
  `Extension`

public static class Extension.ExtensionDescription extends Object

## Constructor Summary

Constructors
Constructor
Description
`ExtensionDescription(@NotNull String name, @NotNull String version, @NotNull List<String> authors, @NotNull DiscoveredExtension origin)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<String>`
`getAuthors()`
`@NotNull List<String>`
`getDependents()`
`@NotNull String`
`getName()`
`@NotNull DiscoveredExtension`
`getOrigin()`
`@NotNull String`
`getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtensionDescription

public ExtensionDescription(@NotNull @NotNull String name, @NotNull @NotNull String version, @NotNull @NotNull List<String> authors, @NotNull @NotNull DiscoveredExtension origin)

## Method Details

### getName

@NotNull public @NotNull String getName()

### getVersion

@NotNull public @NotNull String getVersion()

### getAuthors

@NotNull public @NotNull List<String> getAuthors()

### getDependents

@NotNull public @NotNull List<String> getDependents()

### getOrigin

@NotNull public @NotNull DiscoveredExtension getOrigin()